Subject: bug#75837: closed (Re: bug#75837: [PATCH] Add autosave timer to save-place in harmony with savehist)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Feb 2025 20:03:02 +0000

Your bug report

#75837: [PATCH] Add autosave timer to save-place in harmony with savehist

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75837: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75837
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75837: [PATCH] Add autosave timer to save-place in harmony with savehist
From: Eli Zaretskii <[email-masked]>
To: Ship Mints <[email-masked]>
Cc: [email-masked]
Date: Sat, 01 Feb 2025 22:02:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ship Mints <[email-masked]>
> Date: Sat, 1 Feb 2025 10:01:14 -0500
> Cc: [email-masked]
> 
> Regular timer and, I hope proper formatting, etc. I've included the bug number in the commit log.

Thanks, installed on master, and closing the bug.

Subject: [PATCH] Add autosave timer to save-place in harmony with savehist
From: Ship Mints <[email-masked]>
To: [email-masked]
Date: Sat, 25 Jan 2025 14:26:40 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

* lisp/saveplace.el (save-place-autosave-interval):
Add supporting functions for save-place autosave idle timer.

I have a private implementation of this that I rely on that other people
might find helpful as a builtin.

-Stephane